; ************************************
; **** Windows Low Level Routines ****
; ************************************

	BITS	32
	
	GLOBAL	_winlow_is_windows_present
	GLOBAL	_winlow_disable_windows
	GLOBAL	_winlow_enable_windows
	GLOBAL	_winlow_get_vm_id
	
	%include ".\src\helper.asm"
	
	SECTION	.text

_winlow_is_windows_present:
	mov	ax, 1600h
	int	2Fh
	and	eax, 7Fh
	ret

_winlow_disable_windows:
	mov	ax, 1681h
	int	2Fh
	ret

_winlow_enable_windows:
	mov	ax, 1682h
	int	2Fh
	ret

_winlow_get_vm_id:
	push	ebx
	mov		ax, 1683h
	int		2Fh
	mov		ax, bx
	pop		ebx
	ret
