/**************************************
****   INPUT.H  -  Input devices   ****
****         Header File           ****
**************************************/

#ifndef	INPUT_H
#define INPUT_H

typedef struct {
	unsigned char	key_name[16];
	unsigned int	key_scancode;
} KEYDEF;

//-- Exported Functions ------------------------------------------------------
extern unsigned int		input_identify(unsigned char *);
extern unsigned char	*input_whois(unsigned int);
extern void				keyboard_setup(void);
extern void				joystick_setup(void);

extern KEYDEF			keydefs[96];

#endif
